Subject: bug#39528: closed (Re: [PATCH v4] Add tunctl)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Feb 2020 00:04:02 +0000

Your bug report

#39528: [PATCH 0/1] add tunctl

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39528: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39528
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH v4] Add tunctl
From: Nicolas Goaziou <[email-masked]>
To: Vincent Legoll <[email-masked]>
Cc: [email-masked]
Date: Mon, 10 Feb 2020 01:03:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Vincent Legoll <[email-masked]> writes:

> thanks for your input, this version incorporates your feedback,
> with a s/is/are/ and a capitalized first word of description.
>
> WDYT?

Almost good! :)

I removed the (mkdir-p bin), not necessary with `install-file', changed
the commit message so it follows Guix conventions, and fixed the URI of
the package.

Applied. Thank you!

Subject: [PATCH 0/1] add tunctl
From: Vincent Legoll <[email-masked]>
To: [email-masked]
Date: Sun, 9 Feb 2020 16:44:43 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

the following message is a patch to add the tunctl package.

I took it straight from NixOS and converted to guix.

The NixOS package's license field was set to GPLv2, but
the single C source code file has only "GPL" mentionned,
I kept the NixOS choice, is that right ?

Te description is the same as the synopsis, as I didn't know
what I could add. Looks straightforward enough for me...

I passed the C code through clang-7 scan-build, it reported
nothing worth changing IMHO.

Please advise if any change needs to be done

Thanks

-- 
Vincent Legoll